From a05361d08923fa04a73a52463597e88e43415a92 Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 24/32] Issues: Update cache invalidation


---

diff --git a/hubs/widgets/issues/functions.py b/hubs/widgets/issues/functions.py
index 8b4d935..e29caa8 100644
--- a/hubs/widgets/issues/functions.py
+++ b/hubs/widgets/issues/functions.py
@@ -43,6 +43,8 @@ class GetBugzillaBugs(CachedFunction):
             email = user_hub.config.get('bugzilla_email')
         else:
             email = self.instance.hub.config.get('bugzilla_email')
+        if email is None:
+            return False
         mode = self.instance.config['mode']
         if message['topic'].endswith('bugzilla.bug.new') or \
            message['topic'].endswith('bugzilla.bug.update'):
@@ -90,6 +92,8 @@ class GetPagureIssues(CachedFunction):
             username = user_hub.config.get('pagure_username')
         else:
             username = self.instance.hub.config.get('pagure_username')
+        if username is None:
+            return False
         if message['topic'].endswith('pagure.issue.new') or \
            message['topic'].endswith('pagure.issue.edit') or \
            message['topic'].endswith('pagure.issue.assigned.added') or \
@@ -139,6 +143,8 @@ class GetGithubIssues(CachedFunction):
             username = user_hub.config.get('github_username')
         else:
             username = self.instance.hub.config.get('github_username')
+        if username is None:
+            return False
         if message['topic'].endswith('github.issue.opened') or \
            message['topic'].endswith('github.issue.reopened') or \
            message['topic'].endswith('github.issue.edited') or \

